<?php

/********************************************
* LiteSpeed AP2ZConf project
* @Author:   LiteSpeed Technologies, Inc. (http://www.litespeedtech.com)
* @Copyright: (c) 2017
*********************************************/

require_once('Migrator.php');

if (count($_SERVER['argv']) != 3)
{
	echo "ApacheMigration.php: Importing apache configuration to the current lsws configuration file.\n";
	echo "Usage: php ApacheMigration.php apache_conf_file lsws_server_root \n";
	echo "\t apache_conf_file: absolute path to the main Apache configuration file\n";
	echo "\t lsws_server_root: LiteSpeed web server's Server Root\n\n";
	exit(1);
}

$migrate = new Migrator();
$apachePath = $_SERVER ['argv'] [1];
$lswsSR = $_SERVER ['argv'] [2];

$migrate->init($apachePath, $lswsSR);
$migrate->loadApacheConf();
$migrate->createLSWSConf();
$migrate->createZConfMsg();

