#!/bin/sh
eval 'if [ -x /usr/local/cpanel/3rdparty/bin/perl ]; then exec /usr/local/cpanel/3rdparty/bin/perl -x -- $0 ${1+"$@"}; else exec /usr/bin/perl -x -- $0 ${1+"$@"};fi'
if 0;
#!/usr/bin/perl

#WHMADDON:ladc_zconf:LiteSpeed ADC ZConf Manager:webadc_zconf.png
#ACLS:all
####################################################
# Copyright 2019-2020 LiteSpeed Technologies
# http://www.litespeedtech.com
####################################################

use strict;
use warnings;
use FindBin;
use lib FindBin::again();

package cgi::webadc_zconf;

use zconflib::utils     qw(validateRoot);

use Cpanel::Template    qw(process_template);

run() unless caller();

sub run {
    print "Content-type: text/html; charset=utf-8\n\n";

    if (zconflib::utils::validateRoot(0)) {
        Cpanel::Template::process_template(
            'whostmgr',
            {
                'template_file' => 'webadc_zconf/per_domain_customizations.tmpl',
                'print' => 1
            }
        );
    }
    exit();
}

