#!/bin/bash

WEBADC_ZCONF_LOG="/usr/local/cpanel/3rdparty/webadc_zconf/webadc_zconf.log"
sleep 2

# Only send update if configured.
if [ -f "/usr/local/cpanel/3rdparty/webadc_zconf/confs/zconf.conf" ]
then
    printf "$(date) Begin auto update WEBADCs.\n" >> "$WEBADC_ZCONF_LOG"
    "/usr/local/cpanel/whostmgr/docroot/cgi/webadc_zconf/generate_zconf.cgi" "webadc_zconf_upd" "1"
    printf "$(date) Done auto update WEBADCs.\n" >> "$WEBADC_ZCONF_LOG"
else
    printf "$(date) Did not auto update, WEBADC ZConf plugin not configured.\n" >> "$WEBADC_ZCONF_LOG"
fi

